Loading...
Searching...
No Matches
gsm_03_40.h File Reference

GSM TS 03.40. More...

Go to the source code of this file.

## Macros

#define | GSM340_UDL_OCT_MAX 140
| Maximum TP-UD length (in octets) for 7-bit encoding.
#define | GSM340_UDL_SPT_MAX 160
| Maximum TP-UD length (in seplets) for 8-bit and UCS-2 encoding.

## Enumerations

enum | { GSM340_TYPE_UNKNOWN = 0 , GSM340_TYPE_INTERNATIONAL = 1 , GSM340_TYPE_NATIONAL = 2 , GSM340_TYPE_NETWORK = 3 , GSM340_TYPE_SUBSCRIBER = 4 , GSM340_TYPE_ALPHA_NUMERIC = 5 , GSM340_TYPE_ABBREVIATED = 6 , GSM340_TYPE_RESERVED = 7 }
| 9.1.2.5 Type Of Number More...
enum | { GSM340_PLAN_UNKNOWN = 0 , GSM340_PLAN_ISDN = 1 , GSM340_PLAN_DATA = 3 , GSM340_PLAN_TELEX = 4 , GSM340_PLAN_NATIONAL = 8 , GSM340_PLAN_PRIVATE = 9 , GSM340_PLAN_ERMES = 10 , GSM340_PLAN_RESERVED = 15 }
| 9.1.2.5 Type of Numbering plan. More...

## Detailed Description

GSM TS 03.40.

## Macro Definition Documentation

## GSM340_UDL_OCT_MAX

#define GSM340_UDL_OCT_MAX 140

Maximum TP-UD length (in octets) for 7-bit encoding.

## GSM340_UDL_SPT_MAX

#define GSM340_UDL_SPT_MAX 160

Maximum TP-UD length (in seplets) for 8-bit and UCS-2 encoding.

## Enumeration Type Documentation

## anonymous enum

anonymous enum

9.1.2.5 Type of Numbering plan.

Applies for numbering plans (Unknown, International, National)

Enumerator
GSM340_PLAN_UNKNOWN |
GSM340_PLAN_ISDN |
GSM340_PLAN_DATA |
GSM340_PLAN_TELEX |
GSM340_PLAN_NATIONAL |
GSM340_PLAN_PRIVATE |
GSM340_PLAN_ERMES |
GSM340_PLAN_RESERVED |

## anonymous enum

anonymous enum

9.1.2.5 Type Of Number

Enumerator
GSM340_TYPE_UNKNOWN |
GSM340_TYPE_INTERNATIONAL |
GSM340_TYPE_NATIONAL |
GSM340_TYPE_NETWORK |
GSM340_TYPE_SUBSCRIBER |
GSM340_TYPE_ALPHA_NUMERIC |
GSM340_TYPE_ABBREVIATED |
GSM340_TYPE_RESERVED |